import { SerializationTransformer } from "@/serialization/types";
import moment, { Moment } from "moment";

export const momentSerializationTransformer: SerializationTransformer<Moment | null, string> = {
    transform: (subject: Moment) => subject && subject.toISOString(),
    reverseTransform: (subject: string) => subject ? moment(subject) : null,
}
