import { Action } from "@/state/actions/base";
import { InsuranceState } from "@/state/reducer/insurance";

export enum InsuranceActions {
    Signed = "RECEIVE_INSURANCE_SIGN",
    Update = "RECEIVE_INSURANCE_UPDATE",
}

export type InsuranceSigned = Action<InsuranceActions.Signed>;
export type InsuranceUpdate = Action<InsuranceActions.Update> & Partial<InsuranceState>;

export type InsuranceAction = InsuranceSigned | InsuranceUpdate;
