import { Action } from "@/state/actions/base";

export enum SubmissionAction {
    Send = "SEND",
    Save = "SAVE",
    Approve = "RECEIVE_APPROVE",
    Decline = "RECEIVE_DECLINE",
    Receive = "RECEIVE_STATE",
}

export interface SendSubmissionAction<T extends string> extends Action<T> {
}

export interface ReceiveSubmissionApproveAction<T extends string> extends Action<T> {
    comment: string | null;
}

export interface ReceiveSubmissionDeclineAction<T extends string> extends Action<T> {
    comment: string;
}

export interface ReceiveSubmissionUpdateAction<T extends string> extends Action<T> {
}

export interface SaveSubmissionAction<T extends string> extends Action<T> {
}
